﻿using System;
using System.Data.SqlClient;

namespace Demo_1b_SQLS_Console_CS
{
   class cMain
   {
      static void Main(string[] args)
      {
         Console.WriteLine("Demo: Daten aus SQL-Server Datenbank (Northwind) auslesen (C#)");
         Console.WriteLine("");

         using (SqlConnection cn = new SqlConnection())
         {
            cn.ConnectionString =
               @"Data Source=DEVLAPTOP;" +
               "Initial Catalog=Northwind;" +
               "Integrated Security=True";

            SqlCommand cmd = null;
            SqlDataReader dr = null;

            try
            {
               cn.Open();
               cmd = new SqlCommand("SELECT * FROM dbo.Employees", cn);
               dr = cmd.ExecuteReader();
               while (dr.Read())
               {
                  Console.WriteLine("{0} | {1}", 
                     Convert.ToString(dr["LastName"]).PadLeft(15), 
                     Convert.ToString(dr["FirstName"]));
               }
               //Wichtig - DataReader immer wieder schließen!
               dr.Close();
            }
            catch (SqlException sqlEx)
            {
               Console.WriteLine("SQL-Fehler: " + sqlEx.Message);
            }
            catch (Exception ex)
            {
               Console.WriteLine("Allgemeiner Fehler: " + ex.Message);
            }
            finally
            {
               cn.Close();
            }
         }

         Console.WriteLine("");
         Console.WriteLine("Return drücken ...");
         Console.ReadLine();
      }
   }
}
